Name: kdewebdev
Version: 15.04.3
Release: %mkrel 2
License: GPLv2+
Summary: A web editor for the KDE Desktop Environment
URL: http://kdewebdev.org/
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdewebdev-%version.tar.xz
Group: Graphical desktop/KDE4
BuildRequires: kdelibs-devel
BuildRequires: kde-pimlibs-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xslt-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: ruby-devel
BuildRequires: %{_lib}tidy-html-devel
Requires: kimagemapeditor
Requires: klinkstatus
Requires: kfilereplace
Requires: kommander
Obsoletes: kdewebdev4 =< 4.8.3

%description
A web editor for the KDE Desktop Environment.

%files
%defattr(-,root,root)
%doc README

#--------------------------------------------------------------------

%package -n klinkstatus
Summary: KlinkStatus is a link checker
Group: Graphical desktop/KDE4
Provides: klinkstatus
Requires: tidy

%description -n klinkstatus
KLinkStatus is a link checker. It allows you to search internal and external
links in either your entire web site, a single page or a specified depth. For
performance, links can be checked simultaneously.

* Support several protocols (allowing fast checking of 
local documents): http, ftp, ssh (fish or sftp) and file.
* Proxy support
* Allows authentication when checking restricted documents
* Supports the latest Web standards-- HTML 4.0, HTTP 1.1
* Server-Side Includes (SSI, aka SHTML) are supported and checked
* Regular expressions to restrict which URLs are searched
* Show link results as they are checked
* Tree like view (that reflects the file structure of the documents) or
  flat view
* Limit the search depth
* Fragment identifiers ("#" anchor links that point to a specific
 section in a document) are supported and checked
* Pause/Resume of checking session
* History of checked URLs
* Tabbed checking (allow multiple sessions at the same time)
* Filter checked links (good, broken, malformed and undetermined)
* Configurable number of simultaneous connections (performance tunning)
* Other configurable options like "check external links", 
"check parent folders", "timeout"
* Good integration with Quanta+

%files -n klinkstatus
%defattr(-,root,root)
%{_kde_bindir}/klinkstatus
%{_kde_libdir}/kde4/klinkstatuspart.so
%{_kde_libdir}/kde4/automationklinkstatus.so
%{_kde_libdir}/kde4/krossmoduleklinkstatus.so
%{_kde_datadir}/applications/kde4/klinkstatus.desktop
%{_kde_appsdir}/klinkstatus
%{_kde_appsdir}/klinkstatuspart
%{_kde_iconsdir}/*/*/apps/klinkstatus.png
%{_kde_datadir}/kde4/services/klinkstatus_part.desktop
%{_kde_datadir}/config/klinkstatus.knsrc
%{_kde_datadir}/kde4/services/klinkstatus_automation.desktop
%{_kde_datadir}/kde4/services/krossmoduleklinkstatus.desktop
%_kde_docdir/HTML/en/klinkstatus

#--------------------------------------------------------------------------

%define klinkstatuscommon_major 4
%define libklinkstatuscommon %mklibname klinkstatuscommon %klinkstatuscommon_major

%package -n %libklinkstatuscommon
Summary: Runtime library for klinkstatus
Group: System/Libraries

%description -n %libklinkstatuscommon
Runtime library for klinkstatus.

%files -n %libklinkstatuscommon
%defattr(-,root,root)
%_kde_libdir/libklinkstatuscommon.so.%{klinkstatuscommon_major}*

#--------------------------------------------------------------------------

%package -n kfilereplace
Summary: KDE utility that replace some strings in many of files in one operation
Group: Graphical desktop/KDE4
Provides: kfilereplace

%description -n kfilereplace
KFileReplace is a very capable multi-line, mutli-file, multi-directory find and
replace that can create backups, use wildcards and regexps.

%files -n kfilereplace
%defattr(-,root,root)
%_kde_bindir/kfilereplace
%_kde_datadir/applications/kde4/kfilereplace.desktop
%_kde_appsdir/kfilereplace
%_kde_appsdir/kfilereplacepart
%_kde_iconsdir/*/*/apps/kfilereplace.png
%_kde_datadir/kde4/services/kfilereplacepart.desktop
%_kde_libdir/kde4/libkfilereplacepart.so
%_kde_docdir/HTML/en/kfilereplace
%_kde_iconsdir/*/*/actions/*

#--------------------------------------------------------------------------

%define kommanderwidgets_major 4
%define libkommanderwidgets %mklibname kommanderwidgets %kommanderwidgets_major

%package -n %libkommanderwidgets
Summary: Runtime library for Kommander
Group: System/Libraries

%description -n %libkommanderwidgets
Runtime library for Kommander.

%files -n %libkommanderwidgets
%defattr(-,root,root)
%_kde_libdir/libkommanderwidgets.so.%{kommanderwidgets_major}*

#--------------------------------------------------------------------------

%define kommandercore_major 4
%define libkommandercore %mklibname kommandercore %kommandercore_major

%package -n %libkommandercore
Summary: Runtime library for Kommander
Group: System/Libraries

%description -n %libkommandercore
Runtime library for Kommander.

%files -n %libkommandercore
%defattr(-,root,root)
%_kde_libdir/libkommandercore.so.%{kommandercore_major}*

#--------------------------------------------------------------------------

%package -n kommander
Summary: Editor and program executor for .ui files
Group: Graphical desktop/KDE4
Provides: kommander
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description -n kommander
Kommander consists of an editor and a program executor.
It uses the *.ui files generated by Qt Designer and extends the simple preview
to a full on interactive window using DBUS to communicate with widgets.
Kommander is intended for non programmers and programmers alike as a rapid
development tool.

%files -n kommander
%defattr(-,root,root)
%_kde_bindir/kommander
%_kde_datadir/applnk/.hidden/kommander.desktop

#--------------------------------------------------------------------------

%package -n kimagemapeditor
Summary: HTML imagemap editor for KDE
Group: Graphical desktop/KDE4
Provides: kimagemapeditor
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description -n kimagemapeditor
KImageMapEditor is an HTML imagemap editor for KDE. It allows you to create and
modify HTML imagemaps.

%files -n kimagemapeditor
%defattr(-,root,root)
%_kde_bindir/kimagemapeditor
%_kde_datadir/applications/kde4/kimagemapeditor.desktop
%_kde_appsdir/kimagemapeditor
%_kde_datadir/icons/hicolor/*/apps/kimagemapeditor.png
%_kde_datadir/kde4/services/kimagemapeditorpart.desktop
%_kde_libdir/kde4/libkimagemapeditor.so
%_kde_docdir/*/*/kimagemapeditor

#--------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/Libraries
Requires: kde4-macros
Requires: kdelibs-devel
Requires: %{libkommandercore}
Requires: %{libkommanderwidgets}
Requires: %{libklinkstatuscommon}

%description  devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%defattr(-,root,root)
%_kde_datadir/dbus-1/interfaces/*
%{_kde_includedir}/*
%{_kde_libdir}/*.so

#--------------------------------------------------------------------------

%prep
%setup -q -n kdewebdev-%version

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%clean
rm -rf %buildroot

%changelog
* Tue Aug 30 2016 bb <bb> 15.04.3-2pclos2016
- rebuild for new tidy

* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Apr 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

